=== debian/changelog ===
libkf5libkdepim (4:18.08.3-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update symbols from buildds for 4:18.08.3

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Feb 2019 21:07:55 +0100

libkf5libkdepim (4:18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.3.0 (No changes needed).
  * Removed acc autopkgtest.
  * Removed testsuite autopkgtest.

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 16:00:58 +0100

libkf5libkdepim (4:18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Follow stable releases in KDE again.
  * New upstream release (18.08.1).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:19:20 +0200

libkf5libkdepim (4:18.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Sat, 18 Aug 2018 11:49:54 +0200

libkf5libkdepim (4:17.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.3).
  * Update symbols from buildds for 4:17.12.2
  * bump epoch in symbolsfiles to match version of the package.
  * Update build-deps and deps with the info from cmake.
  * use secure copyright format uri.
  * Use secure uri in d/watch.
  * Don't duplicate 'priority' field in binary package.
  * Update long descriptions.

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:27:35 +0200

libkf5libkdepim (4:17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.2).
  * Update Vcs links to salsa.
  * Bump Standards-Version to 4.1.3 (No changes needed).
  * Update copyright file.
  * Enable build tests (make them non-failing).
  * Update symbols for 17.12.2.
  * Replace Build-Dep kdesignerplugin with kgendesignerplugin.
  * Bump debhelper build-dep and compat to 11.
  * Mark libkf5akonadisocialutils-dev as oldlibs/optional.
  * Remove circular dependecy between libkf5libkdepim-plugins and
    libkf5libkdepimakonadi5.
  * Add symbols file.

 -- Sandro Knauß <hefee@debian.org>  Fri, 09 Mar 2018 15:15:35 +0100

libkf5libkdepim (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.08.3).
  * Get rid of unnessary break/replaces of kde-l10n-(ast|eo).
  * Bump Standards-Version to 4.1.2 (No changes needed).
  * Remove not needed Build-Deps.
  * Add libkf5akonadicontact to Deps of dev (part of public API).
  * Bump debhelper build-dep and compat to 10.
  * Update symbols from buildds for 4:17.08.0
  * Set l10npkgs_firstversion_ok to 4:16.04.3-9~

 -- Sandro Knauß <hefee@debian.org>  Thu, 21 Dec 2017 17:59:51 +0100

libkf5libkdepim (4:17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Update symbols files
  * Bump group breaks (17.08)
  * Update copyright file
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Sep 2017 22:08:37 +0200

libkf5libkdepim (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:41:44 +0000

libkf5libkdepim (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:25:36 +0000

libkf5libkdepim (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:24:20 +0000

libkf5libkdepim (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:25:53 +0000

libkf5libkdepim (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Apr 2017 09:49:58 +0000

libkf5libkdepim (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:50:38 +0000

libkf5libkdepim (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:03:03 +0000

libkf5libkdepim (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:24:32 +0000

libkf5libkdepim (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:31:58 +0000

libkf5libkdepim (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:54:30 +0000

libkf5libkdepim (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:41:24 +0000

libkf5libkdepim (4:16.08.1-1~1.gbpcfb174) UNRELEASED; urgency=medium

  ** SNAPSHOT build @cfb174157735bda971f13a46a65231a0bdfcc49a **

  [ Maximiliano Curia ]
  ** SNAPSHOT build @5eb65efa688a5cfadb54392efb46bb974f51f232 **

  * UNRELEASED

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Refresh patches
  * Update build-deps and deps with the info from cmake

 -- Automatic packaging <maxy+jenkins@gnuservers.com.ar>  Thu, 08 Sep 2016 23:12:45 +0200

libkf5libkdepim (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:08:12 +0000

libkf5libkdepim (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:50:27 +0000

libkf5libkdepim (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Aug 2016 12:51:31 +0000
