=== debian/changelog ===
libkf5libkdepim (4:18.08.3.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 26 Jan 2021 20:07:38 +0800

libkf5libkdepim (4:18.08.3.1-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- lichenggang <lichenggang@uniontech.com>  Tue, 26 Jan 2021 19:48:22 +0800
