=== debian/control ===
Source: libkf5libkdepim
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.60.0~),
               kgendesignerplugin (>= 5.60.0~),
               libkf5akonadi-dev (>= 4:19.08.3~),
               libkf5akonadicontact-dev (>= 4:19.08.3~),
               libkf5akonadisearch-dev (>= 4:19.08.3~),
               libkf5codecs-dev (>= 5.60.0~),
               libkf5completion-dev (>= 5.60.0~),
               libkf5config-dev (>= 5.60.0~),
               libkf5configwidgets-dev (>= 5.60.0~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5coreaddons-dev (>= 5.60.0~),
               libkf5i18n-dev (>= 5.60.0~),
               libkf5iconthemes-dev (>= 5.60.0~),
               libkf5itemviews-dev (>= 5.60.0~),
               libkf5jobwidgets-dev (>= 5.60.0~),
               libkf5kcmutils-dev (>= 5.60.0~),
               libkf5kio-dev (>= 5.60.0~),
               libkf5ldap-dev (>= 19.08.3~),
               libkf5wallet-dev (>= 5.60.0~),
               libkf5widgetsaddons-dev (>= 5.60.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.11.0~),
               qttools5-dev,
               xauth,
               xvfb
Standards-Version: 4.4.1
Homepage: http://pim.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkdepim
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkdepim.git

Package: libkf5akonadisocialutils-dev
Depends: ${misc:Depends}
Architecture: all
Section: oldlibs
Description: KDE PIM library - transitional package
 transitional package for libkf5akonadisocialutils, this is to allow
 "libkf5.*-dev" regex to install on Neon.

Package: libkf5libkdepim-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: KDE PIM library - data files
 This is the internal runtime package for applications from the KDE PIM module.
 It contains data files used by the library.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkdepim-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:19.08.3~),
         libkf5akonadicontact-dev (>= 4:19.08.3~),
         libkf5completion-dev (>= 5.60.0~),
         libkf5contacts-dev (>= 4:19.08.3~),
         libkf5coreaddons-dev (>= 5.60.0~),
         libkf5ldap-dev (>= 19.08.3~),
         libkf5libkdepim5 (= ${binary:Version}),
         libkf5libkdepimakonadi5 (= ${binary:Version}),
         qtbase5-dev (>= 5.11.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM library - development files
 This is the internal runtime package for applications from the KDE PIM module.
 It contains headers, and the libraries needed to build some of the KDE PIM
 applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkdepim-plugins
Architecture: any
Multi-Arch: same
Depends: libkf5libkdepim-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM library - plugins
 This is the internal runtime package for applications from the KDE PIM module.
 It contains plugins that are distributed with the library.
 .
 This package is part of the KDE PIM module.

Package: libkf5libkdepim5
Architecture: any
Multi-Arch: same
Depends: libkf5libkdepim-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5libkdepim-plugins
Description: KDE PIM library
 This is the internal runtime package for applications from the KDE PIM module.
 It contains shared libraries and data which most of KDE PIM applications use.
 .
 This package is part of the KDE PIM module and hold the part of libkdepim
 that do not depend on Akonadi.
Provides: ${ABI:VirtualPackage}

Package: libkf5libkdepimakonadi5
Architecture: any
Multi-Arch: same
Depends: libkf5libkdepim-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5libkdepim-plugins
Description: KDE PIM Akonadi library
 This is the internal runtime package for applications from the KDE PIM module.
 It contains shared libraries and data which most of KDE PIM applications use.
 .
 This package is part of the KDE PIM module and hold the part of libkdepim
 that depend on Akonadi.
Provides: ${ABI:VirtualPackage}
