## libkf5libkdepim 20.08.1

=== debian/changelog ===
libkf5libkdepim (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 14:01:05 +0100

libkf5libkdepim (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Drop package libkf5libkdepimakonadi5. Moved to pimcommon.
  * Update install files.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:21:54 +0100
