=== debian/control ===
--- 
+++ 
@@ -6,19 +6,19 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:19.12.3~),
-               libkf5akonadicontact-dev (>= 4:19.12.3~),
-               libkf5akonadisearch-dev (>= 4:19.12.3~),
+               libkf5akonadi-dev (>= 4:20.08.1~),
+               libkf5akonadicontact-dev (>= 4:20.08.1~),
+               libkf5akonadisearch-dev (>= 4:20.08.1~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:19.12.3~),
+               libkf5contacteditor-dev (>= 4:20.08.1~),
                libkf5contacts-dev (>= 4:19.08.3~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
-               libkf5ldap-dev (>= 19.12.3~),
-               libkf5mime-dev (>= 19.12.3~),
+               libkf5ldap-dev (>= 20.08.1~),
+               libkf5mime-dev (>= 20.08.1~),
                libkf5wallet-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
@@ -48,13 +48,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:19.12.3~),
+Depends: libkf5akonadi-dev (>= 4:20.08.1~),
          libkf5completion-dev (>= 5.31.0~),
          libkf5contacts-dev (>= 4:19.08.3~),
          libkf5coreaddons-dev (>= 5.31.0~),
-         libkf5ldap-dev (>= 19.12.3~),
+         libkf5ldap-dev (>= 20.08.1~),
          libkf5libkdepim5abi2 (= ${binary:Version}),
-         libkf5libkdepimakonadi5 (= ${binary:Version}),
          qtbase5-dev,
          ${misc:Depends},
          ${shlibs:Depends},
@@ -93,16 +92,3 @@
  It contains shared libraries and data which most of KDE PIM applications use.
  .
  This package is part of the KDE PIM module.
-
-Package: libkf5libkdepimakonadi5
-Architecture: any
-Multi-Arch: same
-Depends: libkf5libkdepim-data (>= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
-Recommends: libkf5libkdepim-plugins
-Description: KDE PIM Akonadi library
- This is the internal runtime package for applications from the KDE PIM module.
- It contains shared libraries and data which most of KDE PIM applications use.
- .
- This package is part of the KDE PIM module.
